Installing JD on Windows 7 64 Bit .NET 3.5 SP1

7 posts, 0 answers
  1. Code7
    Code7 avatar
    19 posts
    Member since:
    May 2009

    Posted 27 Apr 2011 Link to this post

    Cannot install JustDecompile on a Windows 7 64bit OS with .NET 3.5 SP1 64bit.  installer complains that .NET 3.5 SP1 is not installed which it is.

  2. Todd Anglin
    Todd Anglin avatar
    2040 posts
    Member since:
    Aug 2005

    Posted 27 Apr 2011 Link to this post

    Hello Code7-

    I believe that JustDecompile requires .NET 4.0 for the installation to run correctly. I have run the installer on Win7 x64 with .NET 4 installed with no problems.

    If you have the option, give that a try. The beta installer will definitely be improved, so we apologize for not making the requirements more clear.

    -Todd
  3. DevCraft banner
  4. Jeff
    Jeff avatar
    27 posts
    Member since:
    Mar 2011

    Posted 06 May 2011 Link to this post

    I'm not able to install on Win7 32 bit w/.net 4 (and below) installed either.  I get the same error saying 3.5 is not installed.  I was not able to attach the log (file must be jpg) - but here's a snippet of where the error starts.   I can email Telerik support the file if you'd like.  Thanks!  Jeff

    MSI (c) (88:90) [07:28:30:366]: Adding new sources is allowed.
    MSI (c) (88:90) [07:28:30:366]: PROPERTY CHANGE: Adding PackagecodeChanging property. Its value is '1'.
    MSI (c) (88:90) [07:28:30:366]: Package name extracted from package path: 'JustDecompile_BETA1.msi'
    MSI (c) (88:90) [07:28:30:366]: Package to be registered: 'JustDecompile_BETA1.msi'
    MSI (c) (88:90) [07:28:30:366]: Note: 1: 2262 2: Error 3: -2147287038 
    MSI (c) (88:90) [07:28:30:367]: Note: 1: 2262 2: AdminProperties 3: -2147287038 
    MSI (c) (88:90) [07:28:30:367]: Machine policy value 'AlwaysInstallElevated' is 1
    MSI (c) (88:90) [07:28:30:367]: User policy value 'AlwaysInstallElevated' is 1
    MSI (c) (88:90) [07:28:30:367]: Running product '{36339CA5-139A-4181-B408-7939CC574185}' with elevated privileges: All apps run elevated.
    ...
    MSI (c) (88:90) [07:28:30:406]: Doing action: PrepareDlgTelerik
    MSI (c) (88:90) [07:28:30:406]: Note: 1: 2205 2:  3: ActionText 
    Action start 7:28:30: PrepareDlgTelerik.
    MSI (c) (88:FC) [07:28:30:413]: Note: 1: 2262 2: Error 3: -2147287038 
    Info 2898.For Telerik_Font_SubTitle textstyle, the system created a 'Arial' font, in 0 character set, of 14 pixels height.
    MSI (c) (88:FC) [07:28:30:414]: Note: 1: 2262 2: Error 3: -2147287038 
    Info 2898.For Telerik_Font_LargeText textstyle, the system created a 'Arial' font, in 0 character set, of 27 pixels height.
    MSI (c) (88:FC) [07:28:30:431]: Note: 1: 2262 2: Error 3: -2147287038 
    Info 2898.For Telerik_Font_MidSizeText textstyle, the system created a 'Arial' font, in 0 character set, of 15 pixels height.
    MSI (c) (88:FC) [07:28:30:432]: Note: 1: 2262 2: Error 3: -2147287038 
    Info 2898.For Telerik_Font_VersionInfo textstyle, the system created a 'Microsoft Sans Serif' font, in 0 character set, of 12 pixels height.
    Action ended 7:28:30: PrepareDlgTelerik. Return value 1.
    MSI (c) (88:90) [07:28:30:451]: Doing action: AppSearch
    MSI (c) (88:90) [07:28:30:451]: Note: 1: 2205 2:  3: ActionText 
    Action start 7:28:30: AppSearch.
    ...
    MSI (s) (38:60) [07:28:37:497]: Doing action: LaunchConditions
    MSI (s) (38:60) [07:28:37:497]: Note: 1: 2205 2:  3: ActionText 
    Action start 7:28:37: LaunchConditions.
    This application requires .NET Framework 3.5 SP1 or higher. Please install the .NET Framework then run this installer again.
    MSI (s) (38:60) [07:28:38:595]: Note: 1: 2262 2: Error 3: -2147287038 
    MSI (s) (38:60) [07:28:38:595]: Product: Telerik JustDecompile Beta -- This application requires .NET Framework 3.5 SP1 or higher. Please install the .NET Framework then run this installer again.
      
    Action ended 7:28:38: LaunchConditions. Return value 3.
    Action ended 7:28:38: INSTALL. Return value 3.
    MSI (s) (38:60) [07:28:38:610]: MainEngineThread is returning 1603
    MSI (s) (38:28) [07:28:38:619]: RESTART MANAGER: Session closed.
  5. Kaloyan
    Admin
    Kaloyan avatar
    920 posts

    Posted 12 May 2011 Link to this post

    Hi Jeff Brewster,

    Thank you for the problem reporting. We are currently working on its resolving. A fix will be provided shortly.

    Kind regards,
    Kaloyan
    the Telerik team

    Explore the entire Telerik portfolio by downloading the Ultimate Collection trial package. Get now >>

  6. Takayoshi Nakano
    Takayoshi Nakano avatar
    1 posts
    Member since:
    Sep 2009

    Posted 12 May 2011 Link to this post

    Hi,

    I have a same problem on Windows XP SP3 with .NET 3.5 SP1. The installation error message is:

    This application requires .NET Framework 3.5 SP1 or higher. Please install the .NET Framework then run this installer again.
  7. Kaloyan
    Admin
    Kaloyan avatar
    920 posts

    Posted 13 May 2011 Link to this post

    Hello Atsushi Kanbara,

    A fix will be provided shortly.

    Kind regards,
    Kaloyan
    the Telerik team

    Explore the entire Telerik portfolio by downloading the Ultimate Collection trial package. Get now >>

  8. Vladi
    Admin
    Vladi avatar
    167 posts

    Posted 18 May 2011 Link to this post

    Hi all,

    Thank you for downloading JustDecompile Beta and sending us your feedback.
     
    We have published a new JustDecompile Beta version which addresses this issue and fixes it. Please give the new version a try: http://www.telerik.com/community/license-agreement.aspx?pId=845 and let us know if you still have issues.


    Best wishes,

    Vladi
    the Telerik team

    Explore the entire Telerik portfolio by downloading the Ultimate Collection trial package. Get now >>

Back to Top
DevCraft banner